This document refers to both RCCD and RCCDPlus. Any references to database functionality refers primarily to RCCDPlus. RCCD does not support database storage of information collected. Information collected by RCCD is stored in INI files which have a 64K limit. For more information please see the help file.

New in Version 4.7.0
====================
Chaned from using the CDDB service to using the www.freedb.org service due to licensing requirements by Gracenote.

New in Version 4.6.2
====================
- Improved code to take into account possibly locked drives as a result of having writeable CD's loaded in CD-R/RW drives.
- Other minor bug fixes associated with track loading

New in Version 4.6.1
====================
Fixed problems which prevented RCCD operating correctly under Windows XP.
Fixed problem with loading a skin from the popup menu.
Corrected problems associated with drive polling which prevented CD's from being recognized.

New in Version 4.5.3.1
======================
Another minor bug associated with correcting the Poll Drives option - this one preventing advancement of the track number.

New in Version 4.5.3
====================
Minor bug associated with the Poll Drives option which prevented newly inserted CDs being correctly detected.

Bug introduced in version 4.5.1 concerning the correct selection of tracks.

New in Version 4.5.2.1
======================
Minor bug fix to corrcet a problem with the Skins popup menu when detecting skin directory changes.

New in Version 4.5.2
====================
RCCD/Plus now incorporates database export functions. Simply select the Database menu option then select Export.

New menu option - Load Skin. Saves you going into Properties to identify a new skin to use. Instead, select from the drop down list of skins.

New in Version 4.5.1
====================
On machines with multiple CD drives the track menu now displays a popup menu for each drive. Makes it easier to access tracks from another drive.

New in Version 4.5.0.12
=======================
The RCCDPlus database can now be located wherever you like. Simply move the database directory to the desired location. Run RCCDPlus and it will prompt you for the location of the database.

RCCD can now prompt you to change to a CD in another drive (for mult-drive systems) when the CD in the current drive is ejected. See the Behaviour tab of the Properties dialog.

Corrected a problem that occured when RCCD had been in the tray and then removed (normal display). If the stay on top status was changed then RCCD might disappear from the screen.

New in Version 4.5.0.11
=======================
RCCD now remembers whether hot keys are enabled between sessions.

RCCDPlus now includes new reports under the Reports menu.

New in Version 4.5.0.10
=======================
When queuing CD's you can give a name to each CD added to the queue. This is useful in the event that the CD can't be found on the server or an error is encountered since every queued item is removed from the queue whether successful or not. Any messages about failed downloads will include the name given to the queued item.

RCCD now remembers the chosen display for track time - either track elapsed, track remaining or total CD length.

New in Version 4.5.0.9
======================
Fixes for skip fwd/back. If repeated skipping was performed the player would be left in a paused state making it appear that nothing was happening.

New in Version 4.5.0.8
======================
Corrected RCCD's inability to correctly detect audio CD's when RCCD was started without a CD in the drive. This previously meant you had to do a remount to forcefully reload the CD.

New in Version 4.5.0.7
======================
- Database window now remembers whether it was displayed by artist or CD title.
- Hopefully I've solved the palette problems that can occur when changing skins. This could leave some elements of the graphical interface displaying odd colors.

New in Version 4.5.0.6
======================
Revamped the display options so that there is less conflict between the taksbar/tray settings and the put-in-tray option.

Added support for a mute button on skins. Now someone just has to create a skin that uses it!

New in Version 4.5.0.5
======================
Fixed the position of the "Search for CD Covers" button in the Edit Play List dialog. It would get left behind when the window was resized.

Corrected a display problem arising from custom skins which meant that not all of a standard skin image for a given control would be displayed if the custom skin displayed a smaller image prior to changing back to a standard skin.

Mute hot key wasn't doing a damn thing. This bug crept in a long time ago.

New in Version 4.5.0.4
======================
Hmmm. A display big crept in when a custom form was displayed and RCCD was not stay on top. Also tried to improve the "Put in tray" action. Sometimes RCCD wants to display even when its been told to restart as "in tray".

New in Version 4.5.0.3
======================
Bug fix for Windows 2000 users. RCCD sometimes didn't recognise a CD being changed. The eject was fine but not the load.

WOW! New custom skin support with over 20 controls added for use in custom shaped skins. http://www.gajits.com/p_rccdskins.html

New in Version 4.4.9
====================
Fixed another stay-on-top issue: after downloading from CDDB, the main window would often lose its stay-on-top state. This now appears to be fixed.

Edit Play List dialog, CD Cover tab: added a button beside the edit control for the path of the CD cover image. The allows you to search a couple of Inernet sites for CD covers.

New in Version 4.4.8
====================
Corrected the display of the CD Cover and Track List forms for when borders are displayed. If you had a non-standard font size in your display settings it screwed up the display of the graphics.

Select to display the track window and the CD Cover window now act as toggles, alternately displaying and hiding the respective windows.

Corrected the playing of a selected track twice when a play list exists. This would occur when selecting from the Track menu or from the Track List window.

New option on the Appearance tab - Match Main Form Stay On Top. This setting is used to make the CD Cover window and Track List window match the behaviour of the main window in terms of stay on top or not!

New in Version 4.4.6
====================
Temporarily removed the feature to check whether you have a dial-up connection active or not and if not to add it to the download queue. For users who have no dial-up software installed this prevents RCCD/Plus from running. Damn.

New in Version 4.4.5
====================
Altered the behaviour when loading a CD for the first time where it was difficult to queue a CD for later download.

Added ability to edit queued CD list from the "Internet" menu. PLEASE do this very carefully. It is only provided to enable simple and complete REMOVAL of an entire entry.

New in Version 4.4.3
====================
Fixed problems in RCCDPlus that prevented the play list from being saved and prevented the display of track names in the database window - thanks Victor

Aded new Appearance option in properties dialog: Hide Hot Key Indicator. This hides the indicator on the caption that shows whether hot keys are enabled or not.

New in Version 4.4.2
====================
Improved the CDDB queue menu. The menu option for "Download Queued CD's" now tells you how many CD's are queued to be downloaded.

Fixed the CDDB queue problem where all queued items could be lost if a connection was not available.

Added option to properties | CDDB: Queue when not connected. When you load a CD that isn't in your database and you don't have an internet connection, the CD can be automatically added to you download queue for later downloading. NOTE: This option only applies to users who connect to the internet via a modem. RCCD can't detect whether you have an internet connection available via a network.

Added new buttons to the windows where the CD cover is displayed: Track list and CD Cover. This button can be clicked to load a CD image. It actually takes you directly to the Edit Play List window and switches to the 4th tab for loading the CD image. (Thanks Karen - LA)

Improved the code that sets up the registry for making RCCD the default CD player. Previously you'd have to wait for the next reboot for RCCD's icons to become visible in the shell. Now they should become visible immediately.

Corrected the Cancel CDDB Download option. Somehow it got lost in the works.

Included a cancel button on the CDDB download status window.

New in Version 4.3.15
=====================
Minor updates to properties dialog to avoid redundant updates to the registry.

New option in properties | Behaviour: Poll Drives. This option should be used if you don't have auto-insert notification operating on all drives. If even one drive (in the case of a multiple drive system) doesn't have auto insert notification active, this option needs to be checked.

With this option checked, RCCD checks all your CD drives every second to determine whether a CD has been ejected or loaded. This places an additional load on most systems that isn't even noticed. However, on some systems it may have the effect of slowing the system overall. Different systems behave differently. For best performance it is advisable to enable auto insert notification on all drives and uncheck the Poll Drives option.


New in Version 4.3.14
=====================
Fixed bug which prevented CD from stopping (when requested) when Auto-Repeat was active.

New option in properties to disable scrolling of labels.

Corrected problem where a new CD drive was selected but the CD in the drive could not be played.


New in Version 4.3.13
=====================
Corrected a bug which caused the database window to refresh every second when a data CD was loaded.

Corrected bugs (hopefully) that resulted in Windows NT not always detecting a CD change.

New in Version 4.3.10
=====================
Further fixes for multi-play, auto-repeat and database support

Added option "Extended Audio Check". Without this option checked, RCCD determines that a CD is an Audio CD by checking the volume label. Most CD's use a volume label of "Audio CD". If you use a lot of mixed mode CD's or older audio CD's that don't have the volume label "Audio CD" then you may prefer to check the "Extended Audio Check" box. RCCD will then attempt to play any CD that is inserted if it doesn't have the volume label "Audio CD". Alternatively, select "Remount CD" from the Playback menu to force RCCD to check a CD that isn't obviously an audio CD. If it can play it, the CD is then treated as an audio CD. But you'll need to do this each time the CD is loaded. RCCD doesn't yet check that the CD has been previously loaded. It will in a later version.

New in Version 4.3.7
=====================
Added option for RCCD to start with windows

Various fixes arising out of beta testing including NT problems ironed out.


New in Version 4.3.4
=====================
Completed implementation of database functionality for RCCDPlus. All functions performed in RCCD to CDPlayer.ini or RCCD.ini are now performed on database tables in RCCDPlus.

Included one report in RCCDPlus for reporting on a selected CD.

New in Version 4.3.4
=====================
Introduced the Category field in the "Edit Play List" window.

Various bug fixes for previous release.


New in Version 4.3.0
=====================
A lot of work has been done on multi-disc play. That's not to say that it is all correct - this is a beta release after all. This version is relaeased for general feedback.


Added menu options to Internet menu to go to CD Universe and Amazon to aid searching for CD Covers.
New in Version 4.2.14
=====================
Added menu options to Internet menu to go to CD Universe and Amazon to aid searching for CD Covers.

New in Version 4.2.13
=====================
Border bitmaps now set up as a feature of skins. See appearance tab. Changing skins will change the border bitmaps. Image file is borders.bmp

New entry in RCCDSkin.ini file: FrameText Color
This denotes the color of text on frames that use the borders.bmp image.

Random play problem (only playing one track at a time) now fixed.

New in Version 4.2.12
=====================
Changing default drive in properties dialog no longer screws up what the player thinks the current drive is.

New user definable hot-keys available:

	ctrl+shift+Y = Stay on top toggle
	ctrl+shift+D = Display Cover CD
	ctrl+shift+N = Random Play toggle
	ctrl+shift+U = Auto Repeat Toggle

New in Version 4.2.11
=====================
New option to display graphical borders around some dialogs (option is on the Appearance tab of the properties dialog). At the moment the only dialog affected is Track List.

Auto repeat and random play menu options are now enabled all the time - no longer dependent upon whether a CD is in the drive.

Queuing a CD now disables the Queue Current CD menu item so that you KNOW you've queued it. This should be detected when a queued CD is loaded too.

New in Version 4.2.10
=====================
New graphic indicators on the top left of RCCD to indicate whether Auto Repeat and Random play have been selected. To those who have created skins for RCCD, see the toggles.bmp file.

Fixed problem where inserting a new CD should automatically download from CDDB and no activity occured.

Some Command Line changes:

/play DriveName: eg: /Play d:

-play DriveName:TrackName,  eg: -play d:track0.cda

/mute action eg: /mute 0 (switch mute off, ie there is sound)
                 /mute 1 (switch mute on , ie there is no sound)
                 /mute 2 (toggle mute on or off)

The above command line options cannot be mixed.


New in Version 4.2.9
====================
Moved the option to enable/disable the splash screen to the Appearance tab of the properties dialog.

When RCCD is first run and the properties dialog is opened, it will always display the default (first) page. During the same session of RCCD, however, it will remember the last active page and return you to that page.

You can now specify the name of the file to which CD information will be saved for CDDB data (as opposed to the standard Windows CDPLAYER.INI file). This change was requested by several users - partly for convenience, partly to overcome the 64k lmiit on INI files. See the Behaviour tab of the properties dialog.

New in Version 4.2.7-8
====================
Further improvements for multiple CD support.

New in Version 4.2.6
====================
Random play now selects from your play list rather than from the entire CD to determine the tracks to play. This is governed by a new setting in the propeties dialog (Random Play From Play List) on the Behaviour tab.

New Title-bar Double Click option: Display Cover CD. Choose this option from Behaviour tab of the properties dialog. This means you can choose that double clicking the title bar displays the Cover CD window.

New in Version 4.2.5
====================
Added support for including an image of the CD cover. Select Edit Play List from the main menu and selected the last tab "CD Cover". Bitmaps and JPG's are supported - no GIF's.

New main menu option to display cover CD. This window will remember the zoom used on the image displaying all CD covers.

The skip forward/back buttons now "auto repeat" enabling skipping forward without having to repeatedly click the buttons.

New in Version 4.2.4
====================
Database window now offers better support for multiple drives. Window is refreshed when CD's are inserted/removed.

New in Version 4.2.3
====================
Added property Sticky Edge to behaviour section of properties dialog. This controls whether RCCD "sticks" to the screen edge when it is moved near a side of the screen.

Resizing the Track Window (ctrl+shift+t) now changes the size of the track name column automatically to the maximum possible.

When editing track names in the the "Edit Play List" dialog, editing is moved on to the next track name automatically to simplify the editing process.

Fixed error in database window which prevented editing of other than the current CD's track info.

New in Version 4.2.2
====================
Fixed bug that caused more than one instance of a drive letter to appear in the Select Drive menu.

New in Version 4.2.1
====================
When RCCD is snapped to the bottom of the screen, clicking the rollup/rolldown buttons now adjusts the position of RCCD so it remains snapped to the screen bottom.

RCCD should now be capable of detecting change of audio CD even if insert notification is not active on the drive.

New option on Play Back menu: Remount. Use this option if you don't have auto-insert notification active on the CD drive and RCCD fails to recognise a newly loaded audio CD. 

New in Version 4.2.0
====================
Improved handling of multiple CD drives:
- Double clicking a track name in explorer now plays the correct track on the correct CD. Previously it always played the requested track number on the current CD. Now also changes the selected Playback | Select Drive | Drive Menu Item to the correct drive letter.
- Selecting to change CD from the RCCD menu would leave the track information from the previous CD displayed. This is now corrected.

If there are more song names than can fit vertically on the menu, break the menu into multiple columns.

Ensure that the Stay on Top and Put In Tray settings are retained between each running of RCCD.

New in Version 4.1.10
====================
FINALLY!!! Have found what appears to be all the causes of run-time error 216. This is a special release to fix just that bug. No other changes in this version.

Reinstated the behaviour of "Send to Tray" in the Quick Options menu. This means that when the default action for double clicking the title bar is "Send to tray", the main GUI will be hidden and the tray icon will be available. Hey folks, if its not quite right, let me know!

New in Version 4.1.7
====================
Fixed Mixed mode CD problem (wasn't being detected correctly)

Corrected the way in which RCCD snaps to the screen edge when the Windows task bar is at the top.

Improved the StayOnTop state in relation to the settings introduced in 4.1.6 for how RCCD is displayed (taskbar/tray settings).

New in Version 4.1.6
====================
Removed the 10 download limit from CDDB on unregistered version.

Clicking on the elapsed track time now displays three alternatives:
 - Elapsed time for current track
 - Remaining time for current track
 - Length of CD (note: this is not the length of your play selections)

Added track length information to track selection menu

When CDDB download needs to display dialogs, ensure RCCD comes to the front so that the dialog is seen (hopefully fixed for most dialogs)!

When an ampersand (&) appears in a track name, replace it with "and" for display in the track selection menu. Otherwise it appears as an underscore (_).

Added new options to control how RCCD is displayed:
 - Taskbar only
 - System tray only
 - Taskbar and system tray
 - Nowhere

Improved behaviour for when RCCD is minimised depending upon the above settings. When RCCD is not displayed anywhere and it is minimised, it "disappears". It can be re-shown by running another instance of RCCD. This will find the first instance and display the main window.

Added Track Window from which a track can be selected to play. This includes a configurable hot-key - default is (Ctrl | Shift | T)

Added new option to CDDB. "Ask before downloading". This will benefit users who don't always have an internet connection but want to have "Download as required" checked.

Added two new menu items to the Internet menu:
 - Queue current CD
 - Download Queued CD's
The concept is that when not connected to the internet it is possible to queue CD's for download from CDDB. Keep in mind that the folk at CDDB imppose a limit of 200 downloads per day. The queuing facility performs no checking on the number of CD's you have queued.

Reinstated a feature that disappeared some time ago: you can define what you want to see in the tray icon tooltip in any combination of artist, title and track name.

Support for different font scripts. Thus, if you have a requirement to display Cryllic characters you can select the Russian character set.

New in Version 4.1.2
===============
- Corrected a problem that could stop a database from being loaded successfully
- Improved database load time some more
- Ensured that RCCD's display is updated immediately after selecting a menu option, rather than leaving it momentarily unpainted
- Loading CDDB information can fail if the INI file is 64K This is a Windows API limitation - not an RCCD fault as such. A future version of RCCD will offer a solution to the problem.

New in Version 4.1.1
===============
Fixed major display problem that occurs if you aren't using the standard windows font size of 96dpi - thanks Salvatore Mendola for spotting that one!.
Changed the database interface to make it easier to access track information and to dramatically decrease the time required to load the database.
Removed the "Simple CD" audio CD detection option. RCCD now attempts the simple test. If that fails it tries the full test to determine if the CD in the drive supports audio play.
Removed the "Force Valid CD" from the menu due to the previous change.
Made changes to the way the CD player pauses, skips and moves between tracks to ensure that information about random play is not lost during playback.
Fixed problem that occured if Random Play is removed during playback. This would cause play to stop after the current track.

New in Version 4.0.13
===============
Fixed problem with volume control in last release.
Fixed minor problem editing CD play list after loading database

New in Version 4.0.12
===============
Database support
Improved interface
Ability to load skins
Evaluation version fully functional
Now shareware, not freeware - sorry
Sticky edge so player grips screen edge

New in Version 3.3.1
==============
CDDB Support for HTTP protocol and firewall.
Added hot-key control for MUTE on Master volume
RCCD now Shareware - too much support required... but, all features fully enabled during evaluation.
Fixed problem where RCCD wouldn't shut automatically when logging off or shutting down computer.

New in Version 3.2
==================
Hopefully fixed the stay-on-top behaviour once and for all.
Attempted to improve the load time when RCCD starts
Reinstated the interated volume control and made it hot-key controllable.

New in Version 3.1.3
=================
Support for CDDB added.
Ability to add a "skin" behind the button bar.
Various minor fixes.

New in Version 2.0.1
====================
Minor bug fixes only

This version includes the ability to enter a registration string, rather than having to download a registered version. This doesn't change the functionality of the program. It merely removes any messages that relate to the program being unregistered.

See Help for more details. Look up "Splash Screen"

Unregistered versions require the user to click OK on the splash screen to close it. The registered version closes the splash screen automatically.

New in Version 2.0
==================
RCCD now comes with complete track editing capabilities.

Along with this there are a host of new options giving you even more control over over the playing of CD's. This includes:
	- Stop playing on exit
	- Making RCCD the default player
	- Saving track information in a choice of formats
	- Multiple CD drive support
	- Customise actions such as double-clicking the title bar
	- Integrated help
	- Best of all, RCCD is now FREE!

New since version 1.5.2
=======================
Reduced size of DLL by 160K

Added option to select whether CD should stop when RCCD is closed.

Added option to quit when you right click on the program when it is in the tray.

Support for multiple CD drives provided.

Disable hot keys when on the properties tab for changing the hot keys. Prevents possible conflicts.

Fix problem of RCCD not starting CD's when it is sent directly to the tray on startup.